OpenTTD GameScript API: GSEventVehicleCrashed Class Reference

OpenTTD GameScript API 14.0-beta3

Public Types | Public Member Functions | Static Public Member Functions
GSEventVehicleCrashed Class Reference

Event Vehicle Crash, indicating a vehicle of yours is crashed. More...

Inheritance diagram for GSEventVehicleCrashed:

## Public Types
enum | CrashReason { CRASH_TRAIN, CRASH_RV_LEVEL_CROSSING, CRASH_RV_UFO, CRASH_PLANE_LANDING, CRASH_AIRCRAFT_NO_AIRPORT, CRASH_FLOODED }
| The reasons for vehicle crashes. More...
Public Types inherited from GSEvent
enum | GSEventType { ET_INVALID, ET_TEST, ET_SUBSIDY_OFFER, ET_SUBSIDY_OFFER_EXPIRED, ET_SUBSIDY_AWARDED, ET_SUBSIDY_EXPIRED, ET_ENGINE_PREVIEW, ET_COMPANY_NEW, ET_COMPANY_IN_TROUBLE, ET_COMPANY_ASK_MERGER, ET_COMPANY_MERGER, ET_COMPANY_BANKRUPT, ET_VEHICLE_CRASHED, ET_VEHICLE_LOST, ET_VEHICLE_WAITING_IN_DEPOT, ET_VEHICLE_UNPROFITABLE, ET_INDUSTRY_OPEN, ET_INDUSTRY_CLOSE, ET_ENGINE_AVAILABLE, ET_STATION_FIRST_VEHICLE, ET_DISASTER_ZEPPELINER_CRASHED, ET_DISASTER_ZEPPELINER_CLEARED, ET_TOWN_FOUNDED, ET_AIRCRAFT_DEST_TOO_FAR, ET_ADMIN_PORT, ET_WINDOW_WIDGET_CLICK, ET_GOAL_QUESTION_ANSWER, ET_EXCLUSIVE_TRANSPORT_RIGHTS, ET_ROAD_RECONSTRUCTION, ET_VEHICLE_AUTOREPLACED, ET_STORYPAGE_BUTTON_CLICK, ET_STORYPAGE_TILE_SELECT, ET_STORYPAGE_VEHICLE_SELECT }
| The type of event. More...

## Public Member Functions
VehicleID | GetVehicleID ()
| Get the VehicleID of the crashed vehicle. More...
TileIndex | GetCrashSite ()
| Find the tile the vehicle crashed. More...
CrashReason | GetCrashReason ()
| Get the reason for crashing. More...
Public Member Functions inherited from GSEvent
| GSEvent (GSEvent::GSEventType type)
| Constructor of GSEvent, to get the type of event. More...
GSEventType | GetEventType ()
| Get the event-type. More...

## Static Public Member Functions
static GSEventVehicleCrashed * | Convert (GSEvent *instance)
| Convert an GSEvent to the real instance. More...

## Detailed Description

Event Vehicle Crash, indicating a vehicle of yours is crashed.

It contains the crash site, the crashed vehicle and the reason for the crash.

## Member Enumeration Documentation

## ◆ CrashReason

enum GSEventVehicleCrashed::CrashReason

The reasons for vehicle crashes.

Enumerator
CRASH_TRAIN | Two trains collided.
CRASH_RV_LEVEL_CROSSING | Road vehicle got under a train.
CRASH_RV_UFO | Road vehicle got under a landing ufo.
CRASH_PLANE_LANDING | Plane crashed on landing.
CRASH_AIRCRAFT_NO_AIRPORT | Aircraft crashed after it found not a single airport for landing.
CRASH_FLOODED | Vehicle was flooded.

## Member Function Documentation

## ◆ Convert()

static GSEventVehicleCrashed* GSEventVehicleCrashed::Convert | ( | GSEvent * | instance | ) |
| inlinestatic

Convert an GSEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.

## ◆ GetCrashReason()

CrashReason GSEventVehicleCrashed::GetCrashReason | ( |  | ) |
| inline

Get the reason for crashing.

Returns
  The reason for crashing

## ◆ GetCrashSite()

TileIndex GSEventVehicleCrashed::GetCrashSite | ( |  | ) |
| inline

Find the tile the vehicle crashed.

Returns
  The crash site.

## ◆ GetVehicleID()

VehicleID GSEventVehicleCrashed::GetVehicleID | ( |  | ) |
| inline

Get the VehicleID of the crashed vehicle.

Returns
  The crashed vehicle.